Page MenuHomePhabricator

Refactor TextCat for ambiguity detection and add additional params
Closed, ResolvedPublic

Description

The PHP implementation of TextCat has some of the features (switches -a, -u; var $top and $max) in the runner script rather than the main module, and should be moved so ambiguity detection happens inside TextCat proper.

The Perl version also has some additional command line features the PHP version lacks, Those should be added to the PHP version, too.

Also need to double check that the Cirrus calls to TextCat will be correct after the refactor.

Event Timeline

TJones created this task.Dec 13 2016, 6:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2016, 6:52 PM
TJones renamed this task from Refactor TextCat for ambiguity detection and other params to Refactor TextCat for ambiguity detection and add additional params.Dec 13 2016, 6:53 PM

Change 327364 had a related patch set uploaded (by Tjones):
Move ambiguity detection into main TextCat module.

https://gerrit.wikimedia.org/r/327364

TJones updated the task description. (Show Details)Dec 14 2016, 9:54 PM

Change 327364 merged by jenkins-bot:
Move ambiguity detection into main TextCat module.

https://gerrit.wikimedia.org/r/327364

Deskana closed this task as Resolved.Jan 6 2017, 5:41 PM
Deskana triaged this task as Medium priority.